# Use this tag in interim until >2.0.2 release
%define cvsdate 20071130

Summary: A journal or "blog" client
Name: drivel
Version: 2.1.1
Release: 0.5.%{cvsdate}svn%{?dist}
License: GPLv2+
Group: Applications/Internet
Url: http://www.dropline.net/drivel
# This package differs from the upstream drivel tarball in that
# the Aladdin-licensed MD5 implementation has been removed by
# running drivel-nukemd5.sh in the unpacked source directory.
Source0: %{name}-%{?cvsdate:svn%{cvsdate}}%{!?cvsdate:%{version}}-nomd5.tar.bz2
Source1: drivel-nukemd5.sh
Patch0: drivel-2.1.1-openssl.patch
Patch1: drivel-2.1.1-proxyuri.patch
Patch2: drivel-2.1.1-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: scrollkeeper
BuildRequires: gtkspell-devel 
BuildRequires: libgnomeprint22-devel
BuildRequires: libxml2-devel
BuildRequires: dbus-glib-devel
BuildRequires: GConf2-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: libbonobo-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: gtksourceview-devel
BuildRequires: libsoup22-devel
BuildRequires: curl-devel
BuildRequires: gettext
BuildRequires: libtool
BuildRequires: intltool
BuildRequires: desktop-file-utils
%{?cvsdate:BuildRequires: gnome-common}
BuildRequires: openssl-devel
Requires: glib2 >= 2.4.0
Requires: gtk2 >= 2.4.0
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Drivel is an advanced journal client for the GNOME desktop.  It had been 
designed with usability in mind, and presents an elegant user interface.
Supported journal types include LiveJournal, MovableType, Blogger, Atom,
and Advogato.

%prep
%setup -q %{?cvsdate:-n %{name}}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{?cvsdate:./autogen.sh}
%configure --disable-schemas-install --disable-mime-update --disable-desktop-update --with-curl-libraries=%{_libdir} --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

desktop-file-install --vendor gnome --add-category X-Fedora --dir $RPM_BUILD_ROOT/%{_datadir}/applications $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-drivel.desktop

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/drivel.schemas > /dev/null
if (update-mime-database -v &> /dev/null); then
  update-mime-database "%{_datadir}/mime" > /dev/null
fi
if which scrollkeeper-update > /dev/null 2>&1; then 
	scrollkeeper-update -q -o %{_datadir}/omf/drivel
fi
if (update-desktop-database -v &> /dev/null); then
  update-desktop-database -q > /dev/null
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/drivel.schemas >/dev/null
fi
exit 0

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/drivel.schemas > /dev/null
fi
exit 0

%postun
if (update-mime-database -v &> /dev/null); then
  update-mime-database "%{_datadir}/mime" > /dev/null
fi
if which scrollkeeper-update > /dev/null 2>&1; then
	scrollkeeper-update -q
fi
if (update-desktop-database -v &> /dev/null); then
  update-desktop-database -q > /dev/null
fi
exit 0

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING-DOCS ChangeLog NEWS README TODO
%{_bindir}/drivel
%{_datadir}/applications/gnome-drivel.desktop
%{_datadir}/application-registry/drivel.applications
%{_datadir}/drivel/
%{_datadir}/gnome/help/drivel/
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-drivel.png
%{_datadir}/mime/packages/drivel.xml
%{_datadir}/mime-info/drivel.keys
%{_datadir}/mime-info/drivel.mime
%{_datadir}/omf/drivel/
%{_datadir}/pixmaps/drivel-48.png
%{_datadir}/pixmaps/drivel/
%config %{_sysconfdir}/gconf/schemas/*

%changelog
* Wed Mar  5 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.1.1-0.5.20071130svn
- Rebuild against libsoup22 compat package

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.1.1-0.4.20071130svn
- Autorebuild for GCC 4.3

* Thu Dec  6 2007 Paul W. Frields <stickster@gmail.com> - 2.1.1-0.3.20071130svn
- Rebuild against new openssl libs

* Sun Dec  2 2007 Paul W. Frields <stickster@gmail.com> - 2.1.1-0.2.20071130svn
- Fix some BuildRequires
- Patch .desktop file to meet standards

* Fri Nov 30 2007 Paul W. Frields <stickster@gmail.com> - 2.1.1-0.1.20071130svn
- Update to latest SVN
- Use OpenSSL library instead of beecrypt for MD5
- Patch proxy URI behavior

* Sun Aug 19 2007 Paul W. Frields <stickster@gmail.com> - 2.1.0-0.5.20060527cvs
- Fix license tag
- Remove verboten Aladdin Free Software Licensed files md5.{c,h}
- Rebuild against beecrypt and fix BuildRequires

* Sun Nov  5 2006 Paul W. Frields <stickster@gmail.com> - 2.1.0-0.4.20060527cvs
- Rebuild against new libcurl

* Sat Sep  2 2006 Paul W. Frields <stickster@gmail.com> - 2.1.0-0.3.20060527cvs
- Add BuildRequires: intltool for build system happiness
- Bump release for FC6 mass rebuild

* Fri Jun 23 2006 Paul W. Frields <stickster@gmail.com> - 2.1.0-0.2.20060527cvs
- Add BuildRequires: libtool to satisfy new build system

* Sat May 27 2006 Paul W. Frields <stickster@gmail.com> - 2.1.0-0.1.20060527cvs
- Update to CVS HEAD; fixes missing spinner problem and x86_64 segfault (#186168)

* Fri Feb 17 2006 Paul W. Frields <stickster@gmail.com> - 2.0.2-2
- FESCo mandated rebuild

* Mon Dec 26 2005 Paul W. Frields <stickster@gmail.com> - 2.0.2-1
- Update to 2.0.2

* Sun Jun 12 2005 Jeremy Katz <katzj@redhat.com> 2.0.0-3
- gconf schema removal, BR gettext, add Fedora category to the desktop file 
  (noticed by mschwendt)

* Fri Jun 10 2005 Jeremy Katz <katzj@redhat.com>
- fix up for fedora guidelines
- lots of buildrequires
- pass curl library dir as %%{_libdir} to workaround silly configure check
- own more directories (noticed by skvidal)

* Sun Jun 5 2005 Todd Kulesza <todd@dropline.net>
- Update for Drivel 2.0.

* Sun Jan 9 2005 Todd Kulesza <todd@dropline.net>
- Don't run ldconfig after install, Drivel doesn't include libraries.

* Sat Jan 8 2005 Todd Kulesza <todd@dropline.net>
- Use the new --disable-mime-update and --disable-desktop-update parameters.

* Mon Jan 3 2005 Todd Kulesza <todd@dropline.net>
- Run update-desktop-database after installation.
- Renamed the MIME icon and desktop entry.

* Thu Nov 25 2004 Todd Kulesza <todd@dropline.net>
- Fixed up the scrollkeeper install/uninstall code.

* Sat Aug 28 2004 Todd Kulesza <todd@dropline.net>
- Add a user manual.

* Sat Jul 31 2004 Todd Kulesza <todd@dropline.net>
- Add Shared MIME Database support.
